# ipe::Symbol Class Reference
Ipe Attributes

A symbol is a named object defined in an ipe::StyleSheet. More...

`#include <ipestyle.h>`

List of all members.

## Public Member Functions

- Symbol ()
- Symbol (Object *object)
- Symbol (const Symbol &rhs)
- Symbol & operator= (const Symbol &rhs)
- ~Symbol ()

## Public Attributes

- bool iXForm
- TTransformations iTransformations
- Object * iObject

## Detailed Description

A symbol is a named object defined in an ipe::StyleSheet.

## Constructor & Destructor Documentation

Symbol::Symbol | ( |  | ) |

Default constructor.

Symbol::Symbol | ( | Object * | object | ) |

Create symbol for object (takes ownership).

Symbol::Symbol | ( | const Symbol & | rhs | ) |

Copy constructor.

Symbol::~Symbol | ( |  | ) |

Destructor.

## Member Function Documentation

Symbol & Symbol::operator= | ( | const Symbol & | rhs | ) |

Assignment operator.

## Member Data Documentation

bool ipe::Symbol::iXForm

TTransformations ipe::Symbol::iTransformations

Object* ipe::Symbol::iObject

The documentation for this class was generated from the following files:

- ipestyle.h
- ipestyle.cpp